@charset "utf-8";

html,body {font-size:14px; font-family:Tahoma, "Geneva CY", sans-serif; position:relative; background:#fff;}

button, input[type="submit"], input[type="reset"] {padding:3px 20px;}

* {outline:none;}

#loginform {display:block; width:200px; margin:50px auto; text-align:center;}
    #loginform table {width:100%; margin-bottom:20px;}
        #loginform table td {text-align:right;}
         #loginform table td:first-child {width:70px;}
            #loginform table td input {width:100%; padding:3px; border:1px solid #C0C0C0;}
    #errorlogin {color:#FF0000; margin-top:20px; font-weight:bold; text-align:center;}

#mobileheader {display:none;}

#maindiv {position:fixed; top:0; left:0; bottom:0; width:100%; transition:left 0.2s;}

#clubs {position:absolute; top:20px; left:20px; bottom:45px; width:200px; border:1px solid #969696; overflow:auto;}
    #clubs a {text-decoration:none; display:block; padding:6px 10px; font-weight:bold; color:#515151; transition:background-color 0.2s;}
     #clubs a:hover {background-color:#D2F0FF;}
    #thisclub {background-color:#6CCAFF !important;}

#exitform {position:absolute; left:20px; bottom:20px;}
    #exitform button {width:101px; height:26px; box-sizing:border-box;}
    .fullexitbtn {width:202px !important;}
    #exitform input {display:none;}

#setsbtn {position:absolute; left:120px; bottom:20px; width:102px; height:26px;}

#content {position:absolute; top:0; left:242px; bottom:0; right:0; padding:10px; overflow:auto;}

    .task {width:800px; margin:5px auto; border:1px solid; border-radius:5px; overflow:hidden; position:relative;}
        .task table {width:100%; margin:0; border-collapse:collapse;}
         .task[tstatus='1'] {border-color:#B29400; background-color:#FFF484;} .task[tstatus='1'] .tstatus:before {content:'ожидается'; color:#B29400;}
         .task[tstatus='2'] {border-color:#0078CF; background-color:#95DAFF;} .task[tstatus='2'] .tstatus:before {content:'в процессе'; color:#0078CF;}
         .task[tstatus='3'] {border-color:#339966; background-color:#DEFF9B;} .task[tstatus='3'] .tstatus:before {content:'выполнено'; color:#339966;}
         .task[tstatus='4'] {border-color:#800000; background-color:#FFBEBE;} .task[tstatus='4'] .tstatus:before {content:'отклонено'; color:#800000;}
        .yourtask {box-shadow:0 0 8px #8B8B8B;} .yourtask .tlogin {font-weight:bold;}
            .tstatus {text-align:right; font-style:italic; font-size:12px;}
             .tstatus:before {display:inline-block; vertical-align:middle;}
                .tstatus div {display:inline-block; width:5px; height:20px; position:relative; vertical-align:middle;}
                    .tstatus select {position:absolute; display:none; opacity:0; right:0; width:90px; height:18px; padding:0; margin:0; box-sizing:border-box; font-size:12px;}
            .task table td {padding:3px 6px;}
            .tlogin, .tfrom, .tdate {display:inline-block; width:220px; height:22px; overflow:hidden; white-space:nowrap; text-overflow:ellipsis; vertical-align:middle;}
             .hidden {display:none;}
             .taskediting .hidden {display:inline-block !important;}
            .tfrom input, .tdate input {padding:1px 2px;}
            .tcreated {text-align:right; color:#969696; font-style:italic; vertical-align:top;}
            .tdesc pre {padding:0; margin:0 10px; text-align:justify; max-width:766px; white-space:pre-wrap; text-indent:30px;}
            .tdesc textarea {box-sizing:border-box; margin:0; min-height:40px; resize:vertical; width:100%;}
            #editbtns {margin:2px 0; text-align:center;}
                #editbtns button {display:inline-block; width:120px;}
            .tfiles a {display:inline-block; padding:2px 5px 2px 22px; background:rgba(255,255,255,0.5) no-repeat 3px center; border-radius:2px;
                       margin:0; margin-right:2px; transition-duration:0.2s; text-decoration:none; color:#575757; max-width:140px; white-space:nowrap; overflow:hidden;
                       text-overflow:ellipsis;}
             .tfiles a:hover {background-color:rgba(255,255,255,0.8);}
             .tfiles a[download] {background-image:url('../img/save.png');}
             .tfiles a:not([download]) {background-image:url('../img/show.png');}

    #addtask {text-align:center; margin:20px auto; width:600px; position:relative; border:1px solid #808080; border-radius:5px; background-color:#F0EDED; padding:5px;}
        #addtask table {width:100%; margin:0 auto;}
            #addtask table td {text-align:right; vertical-align:top;}
             #addtask table td:nth-child(odd) {width:60px; padding-top:4px;}
                #addtask table td input, #addtask table td textarea {width:100%; padding:3px; border:1px solid #C0C0C0; box-sizing:border-box;}
                #addtask table td input[type="file"] {padding:1px !important; width:50% !important;}
                #addtask table td textarea {height:60px; resize:vertical;}

#settings {position:fixed; left:0; top:0; right:0; bottom:0; background-color:rgba(255,255,255,0.6); text-align:center; display:none;}
    #settings>div {position:absolute; left:50px; top:50px; right:50px; bottom:100px; background-color:#fff; border:1px solid #969696; box-shadow:0 0 40px 25px #fff;
                   text-align:center; overflow:auto; padding:20px;}
        #settings  h1 {display:block; padding:0; margin:30px 0 10px 0; text-align:center; font-size:20px; font-weight:normal;}
         #settings  h1:first-child {margin-top:0;}
        .setslist {display:inline-block; border:1px solid #969696; width:350px; height:150px; text-align:left; overflow-y:auto;}
            .setslist div {width:100%; box-sizing:border-box; padding:3px 10px; overflow:hidden; text-overflow:ellipsis; cursor:pointer; transition:background-color 0.2s;}
             .setslist div:hover {background-color:#D2F0FF;}
            .selected {background-color:#6CCAFF !important;}
        .setsformtbl {margin:0 auto;}
            .setsformtbl tr td:first-child {text-align:right; padding-right:3px; width:110px;}
            .setsformtbl tr td:last-child {text-align:left;}
                .setsformtbl select, .setsformtbl input {width:200px; box-sizing:border-box; padding:2px;}
    #settings>button {position:absolute; left:50%; bottom:30px; width:180px; height:40px; margin-left:-90px;}

.waitbg:after {content:' '; display:block; position:absolute; left:0; top:0; right:0; bottom:0; background:rgba(255,255,255,0.8) url('../img/load.gif') no-repeat center;}
